commit 124b4630636974638dfab057bb96f91bb7ee40eb
Author: Christophe Lyon <christophe.lyon@linaro.org>
Date:   Mon Oct 12 14:04:06 2020 +0000

    tree-optimization/97357: Fix testcase
    
    Calling _setjmp causing a warning when targeting newlib.
    
    2020-10-12  Christophe Lyon  <christophe.lyon@linaro.org>
    
            gcc/testsuite/
            PR tree-optimization/97357
            * gcc.dg/pr97357.c: Call setjmp instead of _setjmp.
    
    (cherry picked from commit f10f11eb63b0ed082674d9a589e67230aa49efb5)

diff --git a/gcc/testsuite/gcc.dg/pr97357.c b/gcc/testsuite/gcc.dg/pr97357.c
index 2b32d13a43f..6b391b7a743 100644
--- a/gcc/testsuite/gcc.dg/pr97357.c
+++ b/gcc/testsuite/gcc.dg/pr97357.c
@@ -22,7 +22,7 @@ void bytelocks(glk *rethead, jmp_buf jb)
 {
   glk *cur, *cur_lk;
 
-  if (( _setjmp (jb)) == 0)
+  if (( setjmp (jb)) == 0)
     for (cur = &l->ByteLock; cur != ((glk *)0) ; cur = (cur)->nxt)
         for (cur_lk = &lk->ByteLock; cur_lk != ((glk *)0); cur_lk = cur_lk->nxt)
           {

